Subject: Proposed Naming Changes (from [email-masked])

From: Alan B Clegg <[email-masked]>
Date: Mon, 6 Apr 92 9:16:41 EDT

In previous mail, [email-masked] said something like:

>      /dev/{r}wd[C][N][P]
>  
> where C is [a-z], N is [0-9], and P is [a-z].  It would be better to
> have C as [0-9], N as [a-z], and P as [1-xx].  Otherwise we must
> change or violate the standard when dealing with more than 26
> partitions.  The code in the kernel now deals with up to 60 partitions.

This is good, and I agree, but it causes ugly side-effects in the sd code.
SCSI devices are NUMBERED, so unless we have two different naming schemes
for scsi and wd type disks, we have a conflict.  I agree that support for
60 partitions is in the kernel, but if we expanded the range of P from [a-z]
to [a-zA-Z], we double up to 52 and have support for devices up to 1664Meg
even with the current 32Meg partition maximum size (I assume that will go
away shortly).

I believe that Linus has good ideas on the Floppy drive naming, and I am
re-writing the document do reflect that, but I still think that we should
allow support (even if not currently available) for multiple disk controllers
of any given type.  I am about to put a ST-01 into my machine that already
has an Adaptec 1542 board in it to try out some things in the SCSI code and
would hate to have to make up my own naming scheme.. 8-)

-abc
-- 
[email-masked]				Alan Clegg - Network Programmer
KD4JML (just my luck!)			MCNC -- Center for Communications